Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.util
Class SyncLRUList

    java.lang.Object
      |
      +--org.w3c.util.LRUList
            |
            +--org.w3c.util.SyncLRUList

public class SyncLRUList
extends LRUList

Fields inherited from class org.w3c.util.LRUList
`head, tail`

Constructor Summary
`SyncLRUList()`

Method Summary
`LRUAble` | `getHead()`
`LRUAble` | `getNext(LRUAble node)`
`LRUAble` | `getPrev(LRUAble node)`
`LRUAble` | `getTail()`
`LRUAble` | `remove(LRUAble node)`
`LRUAble` | `removeTail()`
`void` | `toHead(LRUAble node)`
`void` | `toTail(LRUAble node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncLRUList

    public SyncLRUList()

Method Detail

### toHead

    public void toHead(LRUAble node)

  Overrides:
    toHead in class LRUList

### toTail

    public void toTail(LRUAble node)

  Overrides:
    toTail in class LRUList

### remove

    public final LRUAble remove(LRUAble node)

  Overrides:
    remove in class LRUList

### getTail

    public final LRUAble getTail()

  Overrides:
    getTail in class LRUList

### getHead

    public final LRUAble getHead()

  Overrides:
    getHead in class LRUList

### removeTail

    public final LRUAble removeTail()

  Overrides:
    removeTail in class LRUList

### getNext

    public final LRUAble getNext(LRUAble node)

  Overrides:
    getNext in class LRUList

### getPrev

    public final LRUAble getPrev(LRUAble node)

  Overrides:
    getPrev in class LRUList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD